#
# spec file for package gnome-shell-extension-customize-ibus
#
# Copyright (c) 2025 SUSE LLC
# Copyright (c) 2022 Hollow Man
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global uuid customize-ibus@hollowman.ml
%global forgeurl https://github.com/openSUSE/Customize-IBus
Name:           gnome-shell-extension-customize-ibus
Version:        90
Release:        1.2
Summary:        IBus customization extension for GNOME Shell
License:        GPL-3.0-or-later
URL:            %{forgeurl}
Source0:        %{forgeurl}/archive/refs/tags/v%{version}.tar.gz#/Customize-IBus-%{version}.tar.gz
BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  make
Requires:       gnome-shell
Requires:       gnome-tweaks
BuildArch:      noarch

%description
This GNOME shell extension customizes the appearance and behavior of the IBus
input framework, including its system tray. It also implements an input source
indicator.

%prep
%setup -q -n Customize-IBus-%{version}

%build
%make_build _build VERSION=%{version}

%install
mkdir -p %{buildroot}/%{_datadir}/gnome-shell/extensions
mv _build %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}
%find_lang customize-ibus

%files -f customize-ibus.lang
%license LICENSE
%doc README.md
%dir %{_datadir}/gnome-shell
%dir %{_datadir}/gnome-shell/extensions
%{_datadir}/gnome-shell/extensions/%{uuid}/

%changelog
* Wed Jan  1 2025 Wei <wei@hardenedlinux.org>
- Update to version V90
  + Add support for GNOME 47
  + Bump some libraries to the latest versions
  + Update translations
* Fri Sep 29 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version V88:
  + Clean up.
- Changes from version V87:
  + Have support for GNOME 45.
- Drop unneeded extra tarball, PKGBUILD and dsc files.
* Tue Mar  7 2023 Hollow Man <hollowman@opensuse.org>
- V86: Add support for GNOME 44.
* Thu Dec  1 2022 Hollow Man <hollowman@opensuse.org>
- V85: Fix loading theme after unlocking the screen.
* Sun Nov  6 2022 Hollow Man <hollowman@opensuse.org>
- V84: Fix to make lock screen theme get unaffected.
* Wed Aug 17 2022 Hollow Man <hollowman@opensuse.org>
- V83: Support for GNOME 43.
* Wed Mar  9 2022 Hollow Man <hollowman@opensuse.org>
- V82: Initial support for GNOME 42.
* Wed Dec  1 2021 Hollow Man <hollowman@opensuse.org>
- V80: Relief from libnotify dependency.
- V80: Fix IBus theme also get changed when using User Themes to change system themes.
* Sat Nov  6 2021 Hollow Man <hollowman@opensuse.org>
- V78: Clean up and fix several Bugs.
* Sun Oct 31 2021 Hollow Man <hollowman@opensuse.org>
- V77: Support instantly show indicator when switch window or IME even showing delay is enabled.
- V76: Support hide input source indicator when using single mode IME.
- V76: Add a show delay for input source indicator.
* Wed Oct  6 2021 Hollow Man <hollowman@opensuse.org>
- v75: Fix support for wayland and reposition bug.
- v75: Rearrange UI.
* Wed Sep 22 2021 Hollow Man <hollowman@opensuse.org>
- v72, support GNOME 41
* Fri Aug 13 2021 Hollow Man <hollowman@opensuse.org>
- v70 GSoC Final Submit
* Sun Aug  8 2021 Hollow Man <hollowman@opensuse.org>
- v69
* Fri Jul  9 2021 Hollow Man <hollowman@opensuse.org>
- v68
* Mon Jul  5 2021 Hollow Man <hollowman@opensuse.org>
- Add support for openSUSE Leap 15.3.
* Wed Jun 30 2021 Hollow Man <hollowman@opensuse.org>
- Ready to submit to GNOME:Factory
